<?php


return  
    [
        'model' => [
            'model' => \Litecms\Company\Models\Master::class,
            'table' => 'litecms_company_masters',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['code',  'name',  'sub_group_id',  'main_group_id',  'group_id',  'currency_id',  'cash_flow',  'sub_ledger_flag',  'db_or_cr_flag',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'company/master',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "code", 
                "type" => "text", 
                "label" => 'company::master.label.code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'company::master.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sub_group_id", 
                "type" => "text", 
                "label" => 'company::master.label.sub_group_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "main_group_id", 
                "type" => "text", 
                "label" => 'company::master.label.main_group_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "group_id", 
                "type" => "text", 
                "label" => 'company::master.label.group_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency_id", 
                "type" => "text", 
                "label" => 'company::master.label.currency_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cash_flow", 
                "type" => "text", 
                "label" => 'company::master.label.cash_flow', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sub_ledger_flag", 
                "type" => "text", 
                "label" => 'company::master.label.sub_ledger_flag', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "db_or_cr_flag", 
                "type" => "text", 
                "label" => 'company::master.label.db_or_cr_flag', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::master.label.code',
                "placeholder" => 'company::master.placeholder.code',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::master.label.name',
                "placeholder" => 'company::master.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sub_group_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::master.label.sub_group_id',
                "placeholder" => 'company::master.placeholder.sub_group_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'main_group_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::master.label.main_group_id',
                "placeholder" => 'company::master.placeholder.main_group_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'group_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::master.label.group_id',
                "placeholder" => 'company::master.placeholder.group_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::master.label.currency_id',
                "placeholder" => 'company::master.placeholder.currency_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cash_flow',
                "element" => 'text',
                "type" => 'text',
                "label" => 'company::master.label.cash_flow',
                "placeholder" => 'company::master.placeholder.cash_flow',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sub_ledger_flag',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'company::master.label.sub_ledger_flag',
                "placeholder" => 'company::master.placeholder.sub_ledger_flag',
                "rules" => '',
                "options" => function(){
                    return trans('company::master.options.sub_ledger_flag');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'db_or_cr_flag',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'company::master.label.db_or_cr_flag',
                "placeholder" => 'company::master.placeholder.db_or_cr_flag',
                "rules" => '',
                "options" => function(){
                    return trans('company::master.options.db_or_cr_flag');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'company/master/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'company/master/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'company/master',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'company/master',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'company/master',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'company/master',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'company::master.label.created_at',
            'name' => 'company::master.label.name',
            'status' => 'company::master.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "company::master.groups.main",
                'group' => "main.main",
                'title' => "company::master.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "company::master.groups.details",
                'group' => "main.details",
                'title' => "company::master.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "company::master.groups.images",
                'group' => "main.images",
                'title' => "company::master.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "company::master.groups.settings",
                'group' => "main.settings",
                'title' => "company::master.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Company',
            'module' => 'Master',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'company::master.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['company.master.copy', 'company.master.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'company::master.label.count',
                        "placeholder" => 'company::master.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'company::master.label.comment',
                        "placeholder" => 'company::master.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'company::master.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'company::master.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
