<?php


return  
    [
        'model' => [
            'model' => \Litecms\Company\Models\Year::class,
            'table' => 'litecms_company_years',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['company_id',  'start_date',  'end_date',  'year',  'is_closed',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'company/year',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "company_id", 
                "type" => "text", 
                "label" => 'company::year.label.company_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start_date", 
                "type" => "text", 
                "label" => 'company::year.label.start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "end_date", 
                "type" => "text", 
                "label" => 'company::year.label.end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "year", 
                "type" => "text", 
                "label" => 'company::year.label.year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "is_closed", 
                "type" => "text", 
                "label" => 'company::year.label.is_closed', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'company_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::year.label.company_id',
                "placeholder" => 'company::year.placeholder.company_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'company::year.label.start_date',
                "placeholder" => 'company::year.placeholder.start_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'end_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'company::year.label.end_date',
                "placeholder" => 'company::year.placeholder.end_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'year',
                "element" => 'select',
                "type" => 'select',
                "label" => 'company::year.label.year',
                "placeholder" => 'company::year.placeholder.year',
                "rules" => '',
                "options" => function(){
                    return trans('company::year.options.year');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'is_closed',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'company::year.label.is_closed',
                "placeholder" => 'company::year.placeholder.is_closed',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'company/year/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'company/year/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'company/year',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'company/year',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'company/year',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'company/year',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'company::year.label.created_at',
            'name' => 'company::year.label.name',
            'status' => 'company::year.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "company::year.groups.main",
                'group' => "main.main",
                'title' => "company::year.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "company::year.groups.details",
                'group' => "main.details",
                'title' => "company::year.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "company::year.groups.images",
                'group' => "main.images",
                'title' => "company::year.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "company::year.groups.settings",
                'group' => "main.settings",
                'title' => "company::year.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Company',
            'module' => 'Year',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'company::year.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['company.year.copy', 'company.year.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'company::year.label.count',
                        "placeholder" => 'company::year.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'company::year.label.comment',
                        "placeholder" => 'company::year.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'company::year.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'company::year.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
