<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsCompanyCompaniesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_company_companies
         */
        Schema::create('litecms_company_companies', function ($table) {
            $table->increments('id');
            $table->string('ref', 50)->nullable();
            $table->integer('parent_id')->nullable();
            $table->string('name', 100)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->text('description')->nullable();
            $table->text('address')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('manager_id')->nullable();
            $table->string('website_url', 80)->nullable();
            $table->string('active_employees', 20)->nullable();
            $table->string('industry', 50)->nullable();
            $table->string('contact_email', 50)->nullable();
            $table->text('contact_address')->nullable();
            $table->string('contact_phone', 50)->nullable();
            $table->string('currency', 20)->nullable();
            $table->time('work_hour_start')->nullable();
            $table->time('work_hour_end')->nullable();
            $table->date('start_date_leave_cycle')->nullable();
            $table->tinyInteger('ext_dependants')->nullable();
            $table->tinyInteger('spon_dependants')->nullable();
            $table->integer('paid_leave_year')->nullable();
            $table->integer('sick_leave_year')->nullable();
            $table->integer('maternity_leave_year')->nullable();
            $table->integer('paternity_leave_year')->nullable();
            $table->string('work_week_start', 20)->nullable();
            $table->string('work_week_end', 20)->nullable();
            $table->integer('carried_forward')->nullable();
            $table->string('customercare_mobile', 50)->nullable();
            $table->string('customercare_email', 200)->nullable();
            $table->integer('company_id')->nullable();
            $table->integer('branch_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_company_companies');
    }
}
