<?php

namespace Litecms\Company\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class CompanyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_company_companies')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.company.company.view',
                'name'      => 'View Company',
            ],
            [
                'slug'      => 'litecms.company.company.create',
                'name'      => 'Create Company',
            ],
            [
                'slug'      => 'litecms.company.company.edit',
                'name'      => 'Update Company',
            ],
            [
                'slug'      => 'litecms.company.company.delete',
                'name'      => 'Delete Company',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/company/company',
                'name'        => 'Company',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/company/company',
                'name'        => 'Company',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'company',
                'name'        => 'Company',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Company',
                'module'    => 'Company',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.company.company.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
