<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for master in company package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  master module in company package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Master',
    'names' => 'Masters',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Masters',
        'sub' => 'Masters'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'sub_ledger_flag' => 
            [
                                
                [
                    'key'    => 'YES',
                    'value'  => 'YES',
                    'text'   => 'YES',
                ],
                                
                [
                    'key'    => 'NO',
                    'value'  => 'NO',
                    'text'   => 'NO',
                ],
                                
            ],

        'db_or_cr_flag' => 
            [
                                
                [
                    'key'    => 'CREDITOR',
                    'value'  => 'CREDITOR',
                    'text'   => 'CREDITOR',
                ],
                                
                [
                    'key'    => 'DEBITOR',
                    'value'  => 'DEBITOR',
                    'text'   => 'DEBITOR',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'code'                       => 'Please enter code',
        'name'                       => 'Please enter name',
        'sub_group_id'               => 'Please enter sub group id',
        'main_group_id'              => 'Please enter main group id',
        'group_id'                   => 'Please enter group id',
        'currency_id'                => 'Please enter currency id',
        'cash_flow'                  => 'Please enter cash flow',
        'sub_ledger_flag'            => 'Please select sub ledger flag',
        'db_or_cr_flag'              => 'Please select db or cr flag',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'code'                       => 'Code',
        'name'                       => 'Name',
        'sub_group_id'               => 'Sub group id',
        'main_group_id'              => 'Main group id',
        'group_id'                   => 'Group id',
        'currency_id'                => 'Currency id',
        'cash_flow'                  => 'Cash flow',
        'sub_ledger_flag'            => 'Sub ledger flag',
        'db_or_cr_flag'              => 'Db or cr flag',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
    ],

    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
